Bullet Collision Detection & Physics Library: MinkowskiDiff< btConvexTemplate > Struct Template Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MinkowskiDiff< btConvexTemplate > Struct Template Reference

`#include <btGjkEpa3.h>`

Collaboration diagram for MinkowskiDiff< btConvexTemplate >:
[legend]

## Public Member Functions
| MinkowskiDiff (const btConvexTemplate &a, const btConvexTemplate &b)
void | EnableMargin (bool enable)
btVector3 | Support0 (const btVector3 &d) const
btVector3 | Support1 (const btVector3 &d) const
btVector3 | Support (const btVector3 &d) const
btVector3 | Support (const btVector3 &d, U index) const

## Public Attributes
const btConvexTemplate * | m_convexAPtr
const btConvexTemplate * | m_convexBPtr
btMatrix3x3 | m_toshape1
btTransform | m_toshape0
bool | m_enableMargin

## Detailed Description

template<typename btConvexTemplate>
struct MinkowskiDiff< btConvexTemplate >

Definition at line 83 of file btGjkEpa3.h.

## Constructor & Destructor Documentation

## ◆ MinkowskiDiff()

template<typename btConvexTemplate >

MinkowskiDiff< btConvexTemplate >::MinkowskiDiff | ( | const btConvexTemplate & | a,
|  | const btConvexTemplate & | b
| ) |  |
| inline

Definition at line 93 of file btGjkEpa3.h.

## Member Function Documentation

## ◆ EnableMargin()

template<typename btConvexTemplate >

void MinkowskiDiff< btConvexTemplate >::EnableMargin | ( | bool | enable | ) |
| inline

Definition at line 99 of file btGjkEpa3.h.

## ◆ Support() [1/2]

template<typename btConvexTemplate >

btVector3 MinkowskiDiff< btConvexTemplate >::Support | ( | const btVector3 & | d | ) | const
| inline

Definition at line 112 of file btGjkEpa3.h.

## ◆ Support() [2/2]

template<typename btConvexTemplate >

btVector3 MinkowskiDiff< btConvexTemplate >::Support | ( | const btVector3 & | d,
|  | U | index
| ) |  | const
| inline

Definition at line 116 of file btGjkEpa3.h.

## ◆ Support0()

template<typename btConvexTemplate >

btVector3 MinkowskiDiff< btConvexTemplate >::Support0 | ( | const btVector3 & | d | ) | const
| inline

Definition at line 103 of file btGjkEpa3.h.

## ◆ Support1()

template<typename btConvexTemplate >

btVector3 MinkowskiDiff< btConvexTemplate >::Support1 | ( | const btVector3 & | d | ) | const
| inline

Definition at line 107 of file btGjkEpa3.h.

## Member Data Documentation

## ◆ m_convexAPtr

template<typename btConvexTemplate >

const btConvexTemplate* MinkowskiDiff< btConvexTemplate >::m_convexAPtr

Definition at line 85 of file btGjkEpa3.h.

## ◆ m_convexBPtr

template<typename btConvexTemplate >

const btConvexTemplate* MinkowskiDiff< btConvexTemplate >::m_convexBPtr

Definition at line 86 of file btGjkEpa3.h.

## ◆ m_enableMargin

template<typename btConvexTemplate >

bool MinkowskiDiff< btConvexTemplate >::m_enableMargin

Definition at line 91 of file btGjkEpa3.h.

## ◆ m_toshape0

template<typename btConvexTemplate >

btTransform MinkowskiDiff< btConvexTemplate >::m_toshape0

Definition at line 89 of file btGjkEpa3.h.

## ◆ m_toshape1

template<typename btConvexTemplate >

btMatrix3x3 MinkowskiDiff< btConvexTemplate >::m_toshape1

Definition at line 88 of file btGjkEpa3.h.

The documentation for this struct was generated from the following file:

- btGjkEpa3.h